Loading...
Searching...
No Matches
Halide::Runtime::Internal::MemoryRegionAllocatorFns Struct Reference

`#include <memory_resources.h>`

## Public Attributes

AllocateRegionFn | allocate = nullptr
DeallocateRegionFn | deallocate = nullptr
ConformBlockRegionFn | conform = nullptr

## Detailed Description

Definition at line 217 of file memory_resources.h.

## Member Data Documentation

## allocate

AllocateRegionFn Halide::Runtime::Internal::MemoryRegionAllocatorFns::allocate = nullptr

Definition at line 218 of file memory_resources.h.

## deallocate

DeallocateRegionFn Halide::Runtime::Internal::MemoryRegionAllocatorFns::deallocate = nullptr

Definition at line 219 of file memory_resources.h.

## conform

ConformBlockRegionFn Halide::Runtime::Internal::MemoryRegionAllocatorFns::conform = nullptr

Definition at line 220 of file memory_resources.h.

The documentation for this struct was generated from the following file:

- src/runtime/internal/memory_resources.h